AI Driving Olympics Home Challenges Submissions Jobs

Submission 2933

Submission2933
Competingyes
Challengeaido2-LF-sim-validation
UserBhairav Mehta
Date submitted
Complete
DetailsEvaluation is complete.
Sisters
Result💜
Jobsstep1-simulation: 22704
Next
User labelBaseline solution using reinforcement learning
Admin priority50
Blessing50
User priority

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
227042933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerroryes-0:00:38
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
209202933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:00:57
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
202422933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:00:38
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
199302933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:00:37
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
198612933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:00:37
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
192812933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:01:05
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
192482933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationhost-errorno-0:15:23
Uncaught exception: [...]
Uncaught exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.6/http/client.py", line 1331, in getresponse
    response.begin()
  File "/usr/lib/python3.6/http/client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.6/http/client.py", line 258, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.6/dist-packages/urllib3/packages/six.py", line 686, in reraise
    raise value
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 386, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout
    raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/project/src/duckietown-shell/lib/dt_shell/env_checks.py", line 60, in check_docker_environment
    containers = client.containers.list(filters=dict(status='running'))
  File "/usr/local/lib/python3.6/dist-packages/docker/models/containers.py", line 925, in list
    containers.append(self.get(r['Id']))
  File "/usr/local/lib/python3.6/dist-packages/docker/models/containers.py", line 862, in get
    resp = self.client.api.inspect_container(container_id)
  File "/usr/local/lib/python3.6/dist-packages/docker/utils/decorators.py", line 19, in wrapped
    return f(self, resource_id, *args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/docker/api/container.py", line 755, in inspect_container
    self._get(self._url("/containers/{0}/json", container)), True
  File "/usr/local/lib/python3.6/dist-packages/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/docker/api/client.py", line 230, in _get
    return self.get(url, **self._set_request_timeout(kwargs))
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/project/src/duckietown_challenges_runner/runner.py", line 478, in get_cr
    submission_id=submission_id, timeout_sec=timeout_sec)
  File "/project/src/duckietown_challenges_runner/runner.py", line 573, in run_single
    write_logs(wd, project, services=config['services'])
  File "/project/src/duckietown_challenges_runner/runner.py", line 892, in write_logs
    client = check_docker_environment()
  File "/project/src/duckietown-shell/lib/dt_shell/env_checks.py", line 67, in check_docker_environment
    raise InvalidEnvironment(msg)
dt_shell.exceptions.InvalidEnvironment: I cannot communicate with Docker:
UnixHTTPConnectionPool(host='localhost', port=None): Read timed out. (read timeout=60)

Make sure the docker service is running.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
191062933Bhairav MehtaBaseline solution using reinforcement learningaido2-LF-sim-validationstep1-simulationerrorno-0:00:43
The container "solut [...]
The container "solution" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.